Get NFL player props
GET/v1/nfl/props
Live and pre-game player props from major sportsbooks. Passing yards, rushing TDs, anytime TD scorer.
Code samples
# Get live scores across every league curl "https://api.sportapi.io/v1/nba/scores/live" \ -H "Authorization: Bearer $API_KEY" # Response { "games": [{ "game_id": "0022500412", "status": "in_progress", "period": 3, "clock": "07:42", "home": { "team": "BOS", "score": 78 }, "away": { "team": "LAL", "score": 71 }, "last_play": "J. Tatum makes 3-pt jumper from 25 ft" }] }
Query parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
game_id | string | No | Filter to one game |
market | string | No | passing_yards | rushing_yards | anytime_td | ... |
Response
{
"props": [{
"player": "patrick-mahomes", "game_id": "2024_09_KC_BUF",
"market": "passing_yards",
"books": { "dk": { "line": 287.5, "over": -110, "under": -110 } }
}]
}Error responses
| Status | Code | Description |
|---|---|---|
| 401 | unauthorized | Missing or invalid API key |
| 403 | tier_insufficient | Your plan tier doesn't include this resource |
| 429 | rate_limited | Exceeded rate limit; honor Retry-After |
| 500 | internal_error | Server error; retry with exponential backoff |